Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.ast
[Java] Interface GroovyClassVisitor

    public interface GroovyClassVisitor

A special visitor for working with the structure of a class. In general, your will want to use the Abstract class based on this class ClassCodeVisitorSupport.

Authors:
  James Strachan

Version:
  \$Revision\$

See Also:
  ClassNode
  ClassCodeVisitorSupport

Method Summary
`void` | `visitClass(ClassNode node)` Visit a ClassNode.
`void` | `visitConstructor(ConstructorNode node)` Visit a ConstructorNode.
`void` | `visitField(FieldNode node)` Visit a FieldNode.
`void` | `visitMethod(MethodNode node)` Visit a MethodNode.
`void` | `visitProperty(PropertyNode node)` Visit a PropertyNode.

Method Detail

### visitClass

    public void visitClass(ClassNode node)

  Visit a ClassNode.

### visitConstructor

    public void visitConstructor(ConstructorNode node)

  Visit a ConstructorNode.

### visitField

    public void visitField(FieldNode node)

  Visit a FieldNode.

### visitMethod

    public void visitMethod(MethodNode node)

  Visit a MethodNode.

### visitProperty

    public void visitProperty(PropertyNode node)

  Visit a PropertyNode.

Groovy Documentation